#include <bits/stdc++.h>

using namespace std;

int main()
{
   string x, y, res="";
   cin >> x >> y;
   int sizeDiff, xs, ys;
   xs = x.size();
   ys = y.size();
   sizeDiff = abs(xs - ys);

   if(sizeDiff > 0){
        for (int i = 0; i < sizeDiff; i++){
            if(xs > ys)
                res += x[i];
            else
                res += y[i];
        }
   }

   for (int i = 0; i < min(xs,ys); i++){
       if(xs > ys){
            if(x[i+sizeDiff] != y[i])
                res += max(x[i+sizeDiff], y[i]);
            else{
                res += y[i];
                res += y[i];
            }

       }
       else{
            if(y[i+sizeDiff] != x[i])
                res += max(y[i+sizeDiff], x[i]);
            else{
                res += x[i];
                res += x[i];
            }

       }

   }

   cout << res;

    return 0;
}